%define upstream_name    DateTime-Format-Strptime
%define upstream_version 1.64

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Parse and format strp and strf time patterns
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DateTime) >= 1.0.0
BuildRequires: perl(DateTime::Locale) >= 0.450.0
BuildRequires: perl(DateTime::TimeZone) >= 0.790.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Package::DeprecationManager) >= 0.150.0
BuildRequires: perl(Params::Validate) >= 1.200.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements most of strptime(3), the POSIX function that is the
reverse of strftime(3), for DateTime. While strftime takes a DateTime and a
pattern and returns a string, strptime takes a string and a pattern and returns
the DateTime object associated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
#%__make test

%files 
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1:1.640.0-2.mga6
+ Revision: 1025265
- Rebuild for perl 5.22.2

* Wed Feb 24 2016 shlomif <shlomif> 1:1.640.0-1.mga6
+ Revision: 978714
- update to 1.64

* Sun Jan 17 2016 shlomif <shlomif> 1:1.630.0-1.mga6
+ Revision: 925098
- update to 1.63

* Wed Oct 14 2015 sander85 <sander85> 1:1.570.0-1.mga6
+ Revision: 891306
- update to 1.57

* Wed Oct 15 2014 umeabot <umeabot> 1:1.560.0-3.mga5
+ Revision: 742490
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.560.0-2.mga5
+ Revision: 684286
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 1:1.560.0-1.mga5
+ Revision: 662587
- update to 1.56

* Tue May 06 2014 jquelin <jquelin> 1:1.550.0-1.mga5
+ Revision: 620529
- update to 1.55

* Sat Oct 19 2013 umeabot <umeabot> 1:1.540.0-2.mga4
+ Revision: 526857
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1:1.540.0-1.mga4
+ Revision: 439001
- update to 1.54

* Sun Jan 13 2013 umeabot <umeabot> 1:1.520.0-2.mga3
+ Revision: 365657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1:1.520.0-1.mga3
+ Revision: 267284
- update to 1.52

* Tue Jun 05 2012 jquelin <jquelin> 1:1.510.0-1.mga3
+ Revision: 254802
- update to 1.51

* Mon Jan 24 2011 jquelin <jquelin> 1:1.500.0-1.mga1
+ Revision: 36210
- mageia rebuild
- imported package perl-DateTime-Format-Strptime


* Fri Dec 24 2010 Götz Waschk <waschk@mandriva.org> 1:1.500.0-1mdv2011.0
+ Revision: 624459
- new version
- update source URL

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.400.0-1mdv2011.0
+ Revision: 553118
- update to 1.4000

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.200.0-1mdv2010.1
+ Revision: 526437
- update to 1.2000

* Thu Jul 23 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.100.0-1mdv2010.0
+ Revision: 398894
- forgot to commit new tarball
- update to 1.1000

* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.90.100-1mdv2010.0
+ Revision: 393105
- update to 1.0901
- using %%perl_convert_version
- fixed license field

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0900-1mdv2010.0
+ Revision: 383958
- update to new version 1.0900

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0800-1mdv2009.0
+ Revision: 289465
- 1.0800

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0702-1mdv2008.1
+ Revision: 105822
- import perl-DateTime-Format-Strptime


* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0702-1mdv2008.1
- first mdv release 
